Subject: bug#1058: 23.0.60; emacs --daemon should not return until socket is ready

From: Stefan Monnier <[email-masked]>
Date: Fri, 03 Oct 2008 09:00:39 -0400

> Hmm, you mean that after "emacs -Q --daemon" if you look with ps there's
> no emacs process at all?  And "emacsclient -t" does not connect to it?

Exactly.  But I haven't investigated further yet.  Most likely it's
a simple error somewhere that causes Emacs to exit but the message is
throw away.  That's exactly for these kinds of reasons that it's
important to keep sending messages to stdout at least until after the
server is started: otherwise debugging is a pain.

        Stefan